Add a run_task_queue(&tq_disk) to encourage pending io to flush
when we're doing a dm_suspend().
--- diff/drivers/md/dm.c	2003-06-17 10:06:08.000000000 +0100
+++ source/drivers/md/dm.c	2003-06-17 10:06:11.000000000 +0100
@@ -783,6 +783,7 @@
 	 * Then we wait for the already mapped ios to
 	 * complete.
 	 */
+	run_task_queue(&tq_disk);
 	while (1) {
 		set_current_state(TASK_INTERRUPTIBLE);
 
